## lv2 1.8.0~dfsg0

=== wscript ===
#!/usr/bin/env python
import glob
import os
import re
import shutil
import subprocess
import sys

from waflib.extras import autowaf as autowaf
import waflib.Context as Context
import waflib.Logs as Logs
import waflib.Options as Options
import waflib.Scripting as Scripting
import waflib.Utils as Utils

# Variables for 'waf dist'
APPNAME = 'lv2'
VERSION = '1.8.0'

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    autowaf.set_options(opt)
    opt.add_option('--test', action='store_true', dest='build_tests',
                   help='Build unit tests')
    opt.add_option('--online-docs', action='store_true', dest='online_docs',
                   help='Build documentation for web hosting')
    opt.add_option('--no-plugins', action='store_true', dest='no_plugins',
                   help='Do not build example plugins')
    opt.add_option('--copy-headers', action='store_true', dest='copy_headers',
                   help='Copy headers instead of linking to bundle')
    opt.recurse('lv2/lv2plug.in/ns/lv2core')

def configure(conf):
    try:
        conf.load('compiler_c')
    except:
        Options.options.build_tests = False
        Options.options.no_plugins = True

    if Options.options.online_docs:
        Options.options.docs = True

    autowaf.configure(conf)
    autowaf.set_c99_mode(conf)

    if Options.platform == 'win32' or not hasattr(os.path, 'relpath'):
        Logs.warn('System does not support linking headers, copying')
        Options.options.copy_headers = True

    conf.env.BUILD_TESTS   = Options.options.build_tests
    conf.env.BUILD_PLUGINS = not Options.options.no_plugins
    conf.env.COPY_HEADERS  = Options.options.copy_headers
    conf.env.ONLINE_DOCS   = Options.options.online_docs

    if conf.env.DOCS or conf.env.ONLINE_DOCS:
        try:
            conf.find_program('asciidoc')
            conf.env.BUILD_BOOK = True
        except:
            Logs.warn('Asciidoc not found, book will not be built')

    # Check for gcov library (for test coverage)
    if conf.env.BUILD_TESTS and not conf.is_defined('HAVE_GCOV'):
        conf.check_cc(lib='gcov', define_name='HAVE_GCOV', mandatory=False)

    autowaf.set_recursive()

    conf.recurse('lv2/lv2plug.in/ns/lv2core')

    conf.env.LV2_BUILD = ['lv2/lv2plug.in/ns/lv2core']
    if conf.env.BUILD_PLUGINS:
        for i in conf.path.ant_glob('plugins/*', src=False, dir=True):
            try:
                conf.recurse(i.srcpath())
                conf.env.LV2_BUILD += [i.srcpath()]
            except:
                Logs.warn('Configuration failed, %s will not be built\n' % i)

    autowaf.configure(conf)
    autowaf.display_header('LV2 Configuration')
    autowaf.display_msg(conf, 'Bundle directory', conf.env.LV2DIR)
    autowaf.display_msg(conf, 'Copy (not link) headers', conf.env.COPY_HEADERS)
    autowaf.display_msg(conf, 'Version', VERSION)

def chop_lv2_prefix(s):
    if s.startswith('lv2/lv2plug.in/'):
        return s[len('lv2/lv2plug.in/'):]
    return s

# Rule for calling lv2specgen on a spec bundle
def specgen(task):
    import rdflib
    doap = rdflib.Namespace('http://usefulinc.com/ns/doap#')
    lv2  = rdflib.Namespace('http://lv2plug.in/ns/lv2core#')
    owl  = rdflib.Namespace('http://www.w3.org/2002/07/owl#')
    rdf  = rdflib.Namespace('http://www.w3.org/1999/02/22-rdf-syntax-ns#')

    sys.path.append('./lv2specgen')
    import lv2specgen

    spec   = task.inputs[0]
    path   = os.path.dirname(spec.srcpath())
    outdir = os.path.abspath(os.path.join(out, chop_lv2_prefix(path)))

    bundle = str(outdir)
    b = os.path.basename(outdir)

    if not os.access(spec.abspath(), os.R_OK):
        print('warning: extension %s has no %s.ttl file' % (b, b))
        return

    try:
        model = rdflib.ConjunctiveGraph()
        for i in glob.glob('%s/*.ttl' % bundle):
            model.parse(i, format='n3')
    except:
        e = sys.exc_info()[1]
        print('error parsing %s: %s' % (bundle, str(e)))
        return

    # Get extension URI
    ext_node = model.value(None, rdf.type, lv2.Specification)
    if not ext_node:
        print('no extension found in %s' % bundle)
        return
    
    ext = str(ext_node)

    # Get version
    minor = 0
    micro = 0
    try:
        minor = int(model.value(ext_node, lv2.minorVersion, None))
        micro = int(model.value(ext_node, lv2.microVersion, None))
    except:
        e = sys.exc_info()[1]
        print('warning: %s: failed to find version for %s' % (bundle, ext))

    # Get date
    date = None
    for r in model.triples([ext_node, doap.release, None]):
        revision = model.value(r[2], doap.revision, None)
        if revision == ('%d.%d' % (minor, micro)):
            date = model.value(r[2], doap.created, None)
            break

    # Verify that this date is the latest
    for r in model.triples([ext_node, doap.release, None]):
        revision = model.value(r[2], doap.revision, None)
        this_date = model.value(r[2], doap.created, None)
        if this_date > date:
            print('warning: %s revision %d.%d (%s) is not the latest release' % (
                ext_node, minor, micro, date))
            break
    
    # Get short description
    shortdesc = model.value(ext_node, doap.shortdesc, None)

    SPECGENDIR = 'lv2specgen'
    STYLEPATH  = 'build/aux/style.css'
    TAGFILE    = 'build/tags'

    specdoc = lv2specgen.specgen(
        spec.abspath(),
        SPECGENDIR,
        os.path.relpath(STYLEPATH, bundle),
        os.path.relpath('build/doc/html', bundle),
        TAGFILE,
        { 'list_email': 'devel@lists.lv2plug.in',
          'list_page': 'http://lists.lv2plug.in/listinfo.cgi/devel-lv2plug.in' },
        instances=True,
        offline=(not task.env.ONLINE_DOCS))

    lv2specgen.save(task.outputs[0].abspath(), specdoc)

    # Name (comment is to act as a sort key)
    target = path[len('lv2/lv2plug.in/ns/'):]
    if not task.env.ONLINE_DOCS:
        target += '/%s.html' % b
    row = '<tr><!-- %s --><td><a rel="rdfs:seeAlso" href="%s">%s</a></td>' % (
        b, target, b)

    # Description
    if shortdesc:
        row += '<td>' + str(shortdesc) + '</td>'
    else:
        row += '<td></td>'

    # Version
    version_str = '%s.%s' % (minor, micro)
    if minor == 0 or (micro % 2 != 0):
        row += '<td><span style="color: red">' + version_str + '</span></td>'
    else:
        row += '<td>' + version_str + '</td>'

    # Status
    deprecated = model.value(ext_node, owl.deprecated, None)
    if minor == 0:
        row += '<td><span class="error">Experimental</span></td>'
    elif deprecated and str(deprecated[2]) != "false":
        row += '<td><span class="warning">Deprecated</span></td>'
    elif micro % 2 == 0:
        row += '<td><span class="success">Stable</span></td>'

    row += '</tr>'

    index = open(os.path.join('build', 'index_rows', b), 'w')
    index.write(row)
    index.close()

def subst_file(template, output, dict):
    i = open(template, 'r')
    o = open(output, 'w')
    for line in i:
        for key in dict:
            line = line.replace(key, dict[key])
        o.write(line)
    i.close()
    o.close()

# Task to build extension index
def build_index(task):
    global index_lines
    rows = []
    for f in task.inputs:
        if not f.abspath().endswith('index.html.in'):
            rowfile = open(f.abspath(), 'r')
            rows += rowfile.readlines()
            rowfile.close()

    subst_file(task.inputs[0].abspath(), task.outputs[0].abspath(),
               { '@ROWS@': ''.join(rows),
                 '@LV2_VERSION@': VERSION})

# Task for making a link in the build directory to a source file
def link(task):
    if hasattr(os, 'symlink'):
        func = os.symlink
    else:
        func = shutil.copy  # Symlinks unavailable, make a copy

    try:
        os.remove(task.outputs[0].abspath())  # Remove old target
    except:
        pass  # No old target, whatever

    func(task.inputs[0].abspath(), task.outputs[0].abspath())

def build_ext(bld, path):
    name        = os.path.basename(path)
    bundle_dir  = os.path.join(bld.env.LV2DIR, name + '.lv2')
    include_dir = os.path.join(bld.env.INCLUDEDIR, path)

    # Copy headers to URI-style include paths in build directory
    for i in bld.path.ant_glob(path + '/*.h'):
        bld(rule   = link,
            source = i,
            target = bld.path.get_bld().make_node('%s/%s' % (path, i)))

    # Build test program if applicable
    if bld.env.BUILD_TESTS and bld.path.find_node(path + '/%s-test.c' % name):
        test_lib    = []
        test_cflags = ['']
        if bld.is_defined('HAVE_GCOV'):
            test_lib    += ['gcov']
            test_cflags += ['-fprofile-arcs', '-ftest-coverage']

        # Unit test program
        bld(features     = 'c cprogram',
            source       = path + '/%s-test.c' % name,
            lib          = test_lib,
            target       = path + '/%s-test' % name,
            install_path = None,
            cflags       = test_cflags)

    # Install bundle
    bld.install_files(bundle_dir,
                      bld.path.ant_glob(path + '/?*.*', excl='*.in'))

    # Install URI-like includes
    headers = bld.path.ant_glob(path + '/*.h')
    if headers:
        if bld.env.COPY_HEADERS:
            bld.install_files(include_dir, headers)
        else:
            bld.symlink_as(include_dir,
                           os.path.relpath(bundle_dir,
                                           os.path.dirname(include_dir)))

def build(bld):
    exts = (bld.path.ant_glob('lv2/lv2plug.in/ns/ext/*', dir=True) +
            bld.path.ant_glob('lv2/lv2plug.in/ns/extensions/*', dir=True))

    # Copy lv2.h to URI-style include path in build directory
    lv2_h_path = 'lv2/lv2plug.in/ns/lv2core/lv2.h'
    bld(rule   = link,
        source = bld.path.find_node(lv2_h_path),
        target = bld.path.get_bld().make_node(lv2_h_path))

    # LV2 pkgconfig file
    bld(features     = 'subst',
        source       = 'lv2.pc.in',
        target       = 'lv2.pc',
        install_path = '${LIBDIR}/pkgconfig',
        PREFIX       = bld.env.PREFIX,
        INCLUDEDIR   = bld.env.INCLUDEDIR,
        VERSION      = VERSION)

    # Build extensions
    for i in exts:
        build_ext(bld, i.srcpath())

    # Build plugins
    for i in bld.env.LV2_BUILD:
        bld.recurse(i)

    if bld.env.BUILD_BOOK:
        bld.recurse('plugins')

    # Install lv2specgen
    bld.install_files('${DATADIR}/lv2specgen/',
                      ['lv2specgen/style.css',
                       'lv2specgen/template.html'])
    bld.install_files('${DATADIR}/lv2specgen/DTD/',
                      bld.path.ant_glob('lv2specgen/DTD/*'))
    bld.install_files('${BINDIR}', 'lv2specgen/lv2specgen.py', chmod=Utils.O755)

    if bld.env.DOCS or bld.env.ONLINE_DOCS:
        # Build Doxygen documentation (and tags file)
        autowaf.build_dox(bld, 'LV2', VERSION, top, out, 'lv2plug.in/doc', False)

        # Copy stylesheet to build directory
        bld(features = 'subst',
            is_copy  = True,
            name     = 'copy',
            source   = 'doc/style.css',
            target   = 'aux/style.css')

        index_files = []

        # Prepare spec output directories
        specs = exts + [bld.path.find_node('lv2/lv2plug.in/ns/lv2core')]
        for i in specs:
            # Copy spec files to build dir
            for f in bld.path.ant_glob(i.srcpath() + '/*.*'):
                bld(features = 'subst',
                    is_copy  = True,
                    name     = 'copy',
                    source   = f,
                    target   = chop_lv2_prefix(f.srcpath()))

            base = i.srcpath()[len('lv2/lv2plug.in'):]
            name = os.path.basename(i.srcpath())
            
            # Generate .htaccess file
            if bld.env.ONLINE_DOCS:
                bld(features     = 'subst',
                    source       = 'doc/htaccess.in',

=== plugins/eg05-scope.lv2/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import re

# Variables for 'waf dist'
APPNAME = 'eg-scope.lv2'
VERSION = '1.0.0'

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    autowaf.set_options(opt)

def configure(conf):
    conf.load('compiler_c')
    autowaf.configure(conf)
    autowaf.set_c99_mode(conf)
    autowaf.display_header('Scope Configuration')

    if not autowaf.is_child():
        autowaf.check_pkg(conf, 'lv2', atleast_version='1.2.1', uselib_store='LV2')

    autowaf.check_pkg(conf, 'cairo', uselib_store='CAIRO',
                      atleast_version='1.8.10', mandatory=True)
    autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
                      atleast_version='2.18.0', mandatory=False)

    autowaf.display_msg(conf, 'LV2 bundle directory', conf.env.LV2DIR)
    print('')

def build(bld):
    bundle = 'eg-scope.lv2'

    # Make a pattern for shared objects without the 'lib' prefix
    module_pat = re.sub('^lib', '', bld.env.cshlib_PATTERN)
    module_ext = module_pat[module_pat.rfind('.'):]

    # Build manifest.ttl by substitution (for portable lib extension)
    for i in ['manifest.ttl', 'examploscope.ttl']:
        bld(features     = 'subst',
            source       = i + '.in',
            target       = '%s/%s' % (bundle, i),
            install_path = '${LV2DIR}/%s' % bundle,
            LIB_EXT      = module_ext)

    # Use LV2 headers from parent directory if building as a sub-project
    includes = ['.']
    if autowaf.is_child:
        includes += ['../..']

    # Build plugin library
    obj = bld(features     = 'c cshlib',
              source       = 'examploscope.c',
              name         = 'examploscope',
              target       = '%s/examploscope' % bundle,
              install_path = '${LV2DIR}/%s' % bundle,
              use          = 'LV2',
              includes     = includes)
    obj.env.cshlib_PATTERN = module_pat

    # Build UI library
    if bld.is_defined('HAVE_GTK2'):
        obj = bld(features     = 'c cshlib',
                  source       = 'examploscope_ui.c',
                  name         = 'examploscope_ui',
                  target       = '%s/examploscope_ui' % bundle,
                  install_path = '${LV2DIR}/%s' % bundle,
                  use          = 'GTK2 CAIRO LV2',
                  includes     = includes)
    obj.env.cshlib_PATTERN = module_pat

=== debian/changelog ===
lv2 (1.8.0~dfsg0-1) unstable; urgency=low

  * New upstream release:
    - Install lv2specgen for use by other projects.
    - lv2specgen: Fix links to externally defined terms.
    - Add scope example plugin from Robin Gareus.
    - lv2core: Add lv2:prototype for property inheritance.
    - atom: Make lv2_atom_*_is_end() arguments const.
    - log: Add missing include <string.h> to logger.h for memset.
    - ui: Fix LV2_UI_INVALID_PORT_INDEX identifier in documentation.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 06 Jan 2014 10:29:02 +0000

=== debian/control ===
Source: lv2
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 debhelper (>= 7.0.50~),
 libgtk2.0-dev,
 libsndfile1-dev,
 perl,
 pkg-config,
 python
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/lv2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/lv2.git
Homepage: http://lv2plug.in/

Package: lv2-dev
Section: libdevel
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Breaks:
 lv2-extensions-good (<= 0~20111202+dfsg0-2~),
 lv2core (<= 6.0+dfsg0-2~)
Replaces:
 lv2-extensions-good (<= 0~20111202+dfsg0-2~),
 lv2core (<= 6.0+dfsg0-2~)
Description: LV2 audio plugin specification
 LV2 is a simple but extensible successor of LADSPA plugins,
 intended to address the limitations of LADSPA which many
 applications have outgrown.
 .
 This package contains the LV2 audio plugin specification,
 with all the official extension packages, as well as example
 plugins, lv2specgen, and additional data.
 .
 Implementations are encouraged to abandon the “copy paste
 headers” practice and depend on this package instead.

Package: lv2-examples
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Provides:
 lv2-plugin
Description: LV2 audio plugin specification (example plugins)
 LV2 is a simple but extensible successor of LADSPA plugins,
 intended to address the limitations of LADSPA which many
 applications have outgrown.
 .
 This package contains some LV2 example plugins.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
dfsg_version = $(upstream_version)~dfsg0
pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')

WAF = ./waf

PLUGINS = $(shell cd plugins && find . -mindepth 1 -maxdepth 1 -type d -exec basename {} \;)

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure --prefix=/usr \
		--mandir=/usr/share/man \
		--strict \
		--debug

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) clean || true
	find -name "*.pyc" -delete
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp

override_dh_install:
	dh_install
	for plugin in `cat debian/lv2-examples.install`; do \
		rm -rf debian/lv2-dev/$$plugin ; \
	done

override_dh_installchangelogs:
	dh_installchangelogs NEWS

# get-orig-source to drop waf
get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=.
	tar -xf $(pkg)_$(upstream_version).orig.tar.bz2
	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
	cd $(pkg)-$(dfsg_version) ; python waf --help > /dev/null
	mv $(pkg)-$(dfsg_version)/.waf-*/* $(pkg)-$(dfsg_version)
	sed -i '/^#==>$$/,$$d' $(pkg)-$(dfsg_version)/waf
	rmdir $(pkg)-$(dfsg_version)/.waf-*
	find $(pkg)-$(dfsg_version)/ -name '*.pyc' -delete
	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
	bzip2 -9f $(pkg)_$(dfsg_version).orig.tar
	rm -rf $(pkg)-$(dfsg_version)

## lv2 1.10.0~dfsg1

=== debian/changelog ===
lv2 (1.10.0~dfsg1-1) unstable; urgency=medium

  * New upstream release.

  [ Jaromír Mikeš ]
  * Set dh/compat 9.
  * Remove --debug from configure to cppflags be passed.
  * Tuned get-orig-source.

  [ Alessio Treglia ]
  * Add script to help out repacking the tarball.
  * Move example plugins from lv2-dev to lv-examples.

 -- Alessio Treglia <alessio@debian.org>  Wed, 13 Aug 2014 16:29:24 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 7.0.50~),
+ debhelper (>= 9),
  libgtk2.0-dev,
  libsndfile1-dev,
  perl,
@@ -46,6 +46,8 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
+Breaks: lv2-dev (<= 1.8.0~dfsg0-1+)
+Replaces: lv2-dev (<= 1.8.0~dfsg0-1+)
 Provides:
  lv2-plugin
 Description: LV2 audio plugin specification (example plugins)

## lv2 1.12.0~dfsg0

=== plugins/wscript ===
#!/usr/bin/env python
import os

from waflib.extras import autowaf as autowaf
import waflib.Logs as Logs

import literasc

def confgure(conf):
    pass

def bld_book_src(task):
    filenames = []
    for i in task.inputs:
        filenames += [i.abspath()]

    literasc.gen(open(task.outputs[0].abspath(), 'w'), filenames)

def build(bld):
    files = [bld.path.find_node('README.txt')]
    for i in ['eg-amp.lv2',
              'eg-midigate.lv2',
              'eg-fifths.lv2',
              'eg-metro.lv2',
              'eg-sampler.lv2',
              'eg-scope.lv2']:
        files += bld.path.ant_glob('%s/*.txt' % i)
        files += bld.path.ant_glob('%s/manifest.ttl*' % i)
        files += bld.path.ant_glob('%s/*.ttl' % i)
        files += bld.path.ant_glob('%s/*.c' % i)

    # Compile book sources into book.txt asciidoc source
    bld(rule   = bld_book_src,
        source = files,
        target = 'book.txt')

    # Run asciidoc to generate book.html
    stylesdir      = bld.path.find_node('../doc/').abspath()
    pygments_style = bld.path.find_node('../doc/style.css').abspath()
    bld(rule   = 'asciidoc -a stylesdir=%s -a source-highlighter=pygments -a pygments-style=%s -b html -o ${TGT} ${SRC}' % (
        stylesdir, pygments_style),
        source = 'book.txt',
        target = 'book.html')

=== plugins/eg-fifths.lv2/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import re

# Variables for 'waf dist'
APPNAME = 'eg-fifths.lv2'
VERSION = '1.0.0'

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    autowaf.set_options(opt)

def configure(conf):
    conf.load('compiler_c')
    autowaf.configure(conf)
    autowaf.set_c99_mode(conf)
    autowaf.display_header('Fifths Configuration')

    if not autowaf.is_child():
        autowaf.check_pkg(conf, 'lv2', atleast_version='1.2.1', uselib_store='LV2')

    autowaf.display_msg(conf, 'LV2 bundle directory', conf.env.LV2DIR)
    print('')

def build(bld):
    bundle = 'eg-fifths.lv2'

    # Make a pattern for shared objects without the 'lib' prefix
    module_pat = re.sub('^lib', '', bld.env.cshlib_PATTERN)
    module_ext = module_pat[module_pat.rfind('.'):]

    # Build manifest.ttl by substitution (for portable lib extension)
    bld(features     = 'subst',
        source       = 'manifest.ttl.in',
        target       = '%s/%s' % (bundle, 'manifest.ttl'),
        install_path = '${LV2DIR}/%s' % bundle,
        LIB_EXT      = module_ext)

    # Copy other data files to build bundle (build/eg-fifths.lv2)
    for i in ['fifths.ttl']:
        bld(features     = 'subst',
            is_copy      = True,
            source       = i,
            target       = '%s/%s' % (bundle, i),
            install_path = '${LV2DIR}/%s' % bundle)

    # Use LV2 headers from parent directory if building as a sub-project
    includes = ['.']
    if autowaf.is_child:
        includes += ['../..']

    # Build plugin library
    obj = bld(features     = 'c cshlib',
              source       = 'fifths.c',
              name         = 'fifths',
              target       = '%s/fifths' % bundle,
              install_path = '${LV2DIR}/%s' % bundle,
              use          = 'LV2',
              includes     = includes)
    obj.env.cshlib_PATTERN = module_pat

=== plugins/eg-metro.lv2/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import re

# Variables for 'waf dist'
APPNAME = 'eg-metro.lv2'
VERSION = '1.0.0'

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    autowaf.set_options(opt)

def configure(conf):
    conf.load('compiler_c')
    autowaf.configure(conf)
    autowaf.set_c99_mode(conf)
    autowaf.display_header('Metro Configuration')

    if not autowaf.is_child():
        autowaf.check_pkg(conf, 'lv2', atleast_version='0.2.0', uselib_store='LV2')

    conf.check(features='c cshlib', lib='m', uselib_store='M', mandatory=False)

    autowaf.display_msg(conf, 'LV2 bundle directory', conf.env.LV2DIR)
    print('')

def build(bld):
    bundle = 'eg-metro.lv2'

    # Make a pattern for shared objects without the 'lib' prefix
    module_pat = re.sub('^lib', '', bld.env.cshlib_PATTERN)
    module_ext = module_pat[module_pat.rfind('.'):]

    # Build manifest.ttl by substitution (for portable lib extension)
    bld(features     = 'subst',
        source       = 'manifest.ttl.in',
        target       = '%s/%s' % (bundle, 'manifest.ttl'),
        install_path = '${LV2DIR}/%s' % bundle,
        LIB_EXT      = module_ext)

    # Copy other data files to build bundle (build/eg-metro.lv2)
    bld(features     = 'subst',
        is_copy      = True,
        source       = 'metro.ttl',
        target       = '%s/metro.ttl' % bundle,
        install_path = '${LV2DIR}/%s' % bundle)

    # Use LV2 headers from parent directory if building as a sub-project
    includes = ['.']
    if autowaf.is_child:
        includes += ['../..']

    # Build plugin library
    obj = bld(features     = 'c cshlib',
              source       = 'metro.c',
              name         = 'metro',
              target       = '%s/metro' % bundle,
              install_path = '${LV2DIR}/%s' % bundle,
              use          = ['M', 'LV2'],
              includes     = includes)
    obj.env.cshlib_PATTERN = module_pat

=== plugins/eg-sampler.lv2/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import re

# Variables for 'waf dist'
APPNAME = 'eg-sampler.lv2'
VERSION = '1.0.0'

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    autowaf.set_options(opt)

def configure(conf):
    conf.load('compiler_c')
    autowaf.configure(conf)
    autowaf.set_c99_mode(conf)
    autowaf.display_header('Sampler Configuration')

    if not autowaf.is_child():
        autowaf.check_pkg(conf, 'lv2', atleast_version='1.2.1', uselib_store='LV2')

    autowaf.check_pkg(conf, 'sndfile', uselib_store='SNDFILE',
                      atleast_version='1.0.0', mandatory=True)
    autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
                      atleast_version='2.18.0', mandatory=False)
    conf.check(features='c cshlib', lib='m', uselib_store='M', mandatory=False)

    autowaf.display_msg(conf, 'LV2 bundle directory', conf.env.LV2DIR)
    print('')

def build(bld):
    bundle = 'eg-sampler.lv2'

    # Make a pattern for shared objects without the 'lib' prefix
    module_pat = re.sub('^lib', '', bld.env.cshlib_PATTERN)
    module_ext = module_pat[module_pat.rfind('.'):]

    # Build manifest.ttl by substitution (for portable lib extension)
    bld(features     = 'subst',
        source       = 'manifest.ttl.in',
        target       = '%s/%s' % (bundle, 'manifest.ttl'),
        install_path = '${LV2DIR}/%s' % bundle,
        LIB_EXT      = module_ext)

    # Copy other data files to build bundle (build/eg-sampler.lv2)
    for i in ['sampler.ttl', 'click.wav']:
        bld(features     = 'subst',
            is_copy      = True,
            source       = i,
            target       = '%s/%s' % (bundle, i),
            install_path = '${LV2DIR}/%s' % bundle)

    # Use LV2 headers from parent directory if building as a sub-project
    includes = ['.']
    if autowaf.is_child:
        includes += ['../..']

    # Build plugin library
    obj = bld(features     = 'c cshlib',
              source       = 'sampler.c',
              name         = 'sampler',
              target       = '%s/sampler' % bundle,
              install_path = '${LV2DIR}/%s' % bundle,
              use          = ['M', 'SNDFILE', 'LV2'],
              includes     = includes)
    obj.env.cshlib_PATTERN = module_pat

    # Build UI library
    if bld.env.HAVE_GTK2:
        obj = bld(features     = 'c cshlib',
                  source       = 'sampler_ui.c',
                  name         = 'sampler_ui',
                  target       = '%s/sampler_ui' % bundle,
                  install_path = '${LV2DIR}/%s' % bundle,
                  use          = ['GTK2', 'LV2'],
                  includes     = includes)
    obj.env.cshlib_PATTERN = module_pat

=== plugins/eg-scope.lv2/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import re

# Variables for 'waf dist'
APPNAME = 'eg-scope.lv2'
VERSION = '1.0.0'

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    autowaf.set_options(opt)

def configure(conf):
    conf.load('compiler_c')
    autowaf.configure(conf)
    autowaf.set_c99_mode(conf)
    autowaf.display_header('Scope Configuration')

    if not autowaf.is_child():
        autowaf.check_pkg(conf, 'lv2', atleast_version='1.2.1', uselib_store='LV2')

    autowaf.check_pkg(conf, 'cairo', uselib_store='CAIRO',
                      atleast_version='1.8.10', mandatory=True)
    autowaf.check_pkg(conf, 'gtk+-2.0', uselib_store='GTK2',
                      atleast_version='2.18.0', mandatory=False)

    autowaf.display_msg(conf, 'LV2 bundle directory', conf.env.LV2DIR)
    print('')

def build(bld):
    bundle = 'eg-scope.lv2'

    # Make a pattern for shared objects without the 'lib' prefix
    module_pat = re.sub('^lib', '', bld.env.cshlib_PATTERN)
    module_ext = module_pat[module_pat.rfind('.'):]

    # Build manifest.ttl by substitution (for portable lib extension)
    for i in ['manifest.ttl', 'examploscope.ttl']:
        bld(features     = 'subst',
            source       = i + '.in',
            target       = '%s/%s' % (bundle, i),
            install_path = '${LV2DIR}/%s' % bundle,
            LIB_EXT      = module_ext)

    # Use LV2 headers from parent directory if building as a sub-project
    includes = ['.']
    if autowaf.is_child:
        includes += ['../..']

    # Build plugin library
    obj = bld(features     = 'c cshlib',
              source       = 'examploscope.c',
              name         = 'examploscope',
              target       = '%s/examploscope' % bundle,
              install_path = '${LV2DIR}/%s' % bundle,
              use          = 'LV2',
              includes     = includes)
    obj.env.cshlib_PATTERN = module_pat

    # Build UI library
    if bld.env.HAVE_GTK2:
        obj = bld(features     = 'c cshlib',
                  source       = 'examploscope_ui.c',
                  name         = 'examploscope_ui',
                  target       = '%s/examploscope_ui' % bundle,
                  install_path = '${LV2DIR}/%s' % bundle,
                  use          = 'GTK2 CAIRO LV2',
                  includes     = includes)
    obj.env.cshlib_PATTERN = module_pat

=== debian/changelog ===
lv2 (1.12.0~dfsg0-1) unstable; urgency=medium

  [ Felipe Sateler ]
  * Simplify lv2-examples install file. Thanks to Falktx

  [ Alessio Treglia ]
  * New upstream release.
  * debian/docs: Fix readme's filename.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Sun, 26 Apr 2015 20:21:39 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  perl,
  pkg-config,
  python
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/lv2.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/lv2.git
 Homepage: http://lv2plug.in/

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,7 @@
 override_dh_auto_configure:
 	$(WAF) configure --prefix=/usr \
 		--mandir=/usr/share/man \
-		--strict \
-		--debug
+		--strict
 
 override_dh_auto_build:
 	$(WAF)
@@ -51,3 +50,5 @@
 	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
 	bzip2 -9f $(pkg)_$(dfsg_version).orig.tar
 	rm -rf $(pkg)-$(dfsg_version)
+	mv $(pkg)_$(dfsg_version).orig.tar.bz2 ../$(pkg)_$(dfsg_version).orig.tar.bz2
+	mv $(pkg)_$(upstream_version).orig.tar.bz2 ../$(pkg)_$(upstream_version).orig.tar.bz2

=== debian/watch ===
version=3
opts="uversionmangle=s/-/./,dversionmangle=s/~dfsg.*//" \
http://lv2plug.in/spec/lv2-([\d.]*)\.tar\.bz2

## lv2 1.14.0~dfsg1

=== plugins/wscript ===
--- 
+++ 
@@ -23,7 +23,8 @@
               'eg-fifths.lv2',
               'eg-metro.lv2',
               'eg-sampler.lv2',
-              'eg-scope.lv2']:
+              'eg-scope.lv2',
+              'eg-params.lv2']:
         files += bld.path.ant_glob('%s/*.txt' % i)
         files += bld.path.ant_glob('%s/manifest.ttl*' % i)
         files += bld.path.ant_glob('%s/*.ttl' % i)

=== plugins/eg-amp.lv2/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import re

# Variables for 'waf dist'
APPNAME = 'eg-amp.lv2'
VERSION = '1.0.0'

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    opt.load('lv2')
    autowaf.set_options(opt)

def configure(conf):
    conf.load('compiler_c')
    conf.load('lv2')
    autowaf.configure(conf)
    autowaf.set_c99_mode(conf)
    autowaf.display_header('Amp Configuration')

    if not autowaf.is_child():
        autowaf.check_pkg(conf, 'lv2', uselib_store='LV2')

    conf.check(features='c cshlib', lib='m', uselib_store='M', mandatory=False)

    autowaf.display_msg(conf, 'LV2 bundle directory', conf.env.LV2DIR)
    print('')

def build(bld):
    bundle = 'eg-amp.lv2'

    # Make a pattern for shared objects without the 'lib' prefix
    module_pat = re.sub('^lib', '', bld.env.cshlib_PATTERN)
    module_ext = module_pat[module_pat.rfind('.'):]

    # Build manifest.ttl by substitution (for portable lib extension)
    bld(features     = 'subst',
        source       = 'manifest.ttl.in',
        target       = '%s/%s' % (bundle, 'manifest.ttl'),
        install_path = '${LV2DIR}/%s' % bundle,
        LIB_EXT      = module_ext)

    # Copy other data files to build bundle (build/eg-amp.lv2)
    for i in ['amp.ttl']:
        bld(features     = 'subst',
            is_copy      = True,
            source       = i,
            target       = '%s/%s' % (bundle, i),
            install_path = '${LV2DIR}/%s' % bundle)

    # Use LV2 headers from parent directory if building as a sub-project
    includes = None
    if autowaf.is_child:
        includes = '../..'

    # Build plugin library
    obj = bld(features     = 'c cshlib',
              source       = 'amp.c',
              name         = 'amp',
              target       = '%s/amp' % bundle,
              install_path = '${LV2DIR}/%s' % bundle,
              uselib       = 'M LV2',
              includes     = includes)
    obj.env.cshlib_PATTERN = module_pat

=== plugins/eg-fifths.lv2/wscript ===
--- 
+++ 
@@ -12,10 +12,12 @@
 
 def options(opt):
     opt.load('compiler_c')
+    opt.load('lv2')
     autowaf.set_options(opt)
 
 def configure(conf):
     conf.load('compiler_c')
+    conf.load('lv2')
     autowaf.configure(conf)
     autowaf.set_c99_mode(conf)
     autowaf.display_header('Fifths Configuration')

=== plugins/eg-metro.lv2/wscript ===
--- 
+++ 
@@ -12,10 +12,12 @@
 
 def options(opt):
     opt.load('compiler_c')
+    opt.load('lv2')
     autowaf.set_options(opt)
 
 def configure(conf):
     conf.load('compiler_c')
+    conf.load('lv2')
     autowaf.configure(conf)
     autowaf.set_c99_mode(conf)
     autowaf.display_header('Metro Configuration')

=== plugins/eg-midigate.lv2/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import re

# Variables for 'waf dist'
APPNAME = 'eg-midigate.lv2'
VERSION = '1.0.0'

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    opt.load('lv2')
    autowaf.set_options(opt)

def configure(conf):
    conf.load('compiler_c')
    conf.load('lv2')
    autowaf.configure(conf)
    autowaf.set_c99_mode(conf)
    autowaf.display_header('Midigate Configuration')

    if not autowaf.is_child():
        autowaf.check_pkg(conf, 'lv2', uselib_store='LV2')

    autowaf.display_msg(conf, 'LV2 bundle directory', conf.env.LV2DIR)
    print('')

def build(bld):
    bundle = 'eg-midigate.lv2'

    # Make a pattern for shared objects without the 'lib' prefix
    module_pat = re.sub('^lib', '', bld.env.cshlib_PATTERN)
    module_ext = module_pat[module_pat.rfind('.'):]

    # Build manifest.ttl by substitution (for portable lib extension)
    bld(features     = 'subst',
        source       = 'manifest.ttl.in',
        target       = '%s/%s' % (bundle, 'manifest.ttl'),
        install_path = '${LV2DIR}/%s' % bundle,
        LIB_EXT      = module_ext)

    # Copy other data files to build bundle (build/eg-midigate.lv2)
    for i in ['midigate.ttl']:
        bld(features     = 'subst',
            is_copy      = True,
            source       = i,
            target       = '%s/%s' % (bundle, i),
            install_path = '${LV2DIR}/%s' % bundle)

    # Use LV2 headers from parent directory if building as a sub-project
    includes = None
    if autowaf.is_child:
        includes = '../..'

    # Build plugin library
    obj = bld(features     = 'c cshlib',
              source       = 'midigate.c',
              name         = 'midigate',
              target       = '%s/midigate' % bundle,
              install_path = '${LV2DIR}/%s' % bundle,
              uselib       = 'LV2',
              includes     = includes)
    obj.env.cshlib_PATTERN = module_pat

=== plugins/eg-params.lv2/wscript ===
#!/usr/bin/env python
from waflib.extras import autowaf as autowaf
import re

# Variables for 'waf dist'
APPNAME = 'eg-params.lv2'
VERSION = '1.0.0'

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    opt.load('lv2')
    autowaf.set_options(opt)

def configure(conf):
    conf.load('compiler_c')
    conf.load('lv2')
    autowaf.configure(conf)
    autowaf.set_c99_mode(conf)
    autowaf.display_header('Params Configuration')

    if not autowaf.is_child():
        autowaf.check_pkg(conf, 'lv2', atleast_version='1.12.1', uselib_store='LV2')

    autowaf.display_msg(conf, 'LV2 bundle directory', conf.env.LV2DIR)
    print('')

def build(bld):
    bundle = 'eg-params.lv2'

    # Make a pattern for shared objects without the 'lib' prefix
    module_pat = re.sub('^lib', '', bld.env.cshlib_PATTERN)
    module_ext = module_pat[module_pat.rfind('.'):]

    # Build manifest.ttl by substitution (for portable lib extension)
    bld(features     = 'subst',
        source       = 'manifest.ttl.in',
        target       = '%s/%s' % (bundle, 'manifest.ttl'),
        install_path = '${LV2DIR}/%s' % bundle,
        LIB_EXT      = module_ext)

    # Copy other data files to build bundle (build/eg-params.lv2)
    for i in ['params.ttl']:
        bld(features     = 'subst',
            is_copy      = True,
            source       = i,
            target       = '%s/%s' % (bundle, i),
            install_path = '${LV2DIR}/%s' % bundle)

    # Use LV2 headers from parent directory if building as a sub-project
    includes = ['.']
    if autowaf.is_child:
        includes += ['../..']

    # Build plugin library
    obj = bld(features     = 'c cshlib',
              source       = 'params.c',
              name         = 'params',
              target       = '%s/params' % bundle,
              install_path = '${LV2DIR}/%s' % bundle,
              use          = 'LV2',
              includes     = includes)
    obj.env.cshlib_PATTERN = module_pat

=== plugins/eg-sampler.lv2/wscript ===
--- 
+++ 
@@ -12,10 +12,12 @@
 
 def options(opt):
     opt.load('compiler_c')
+    opt.load('lv2')
     autowaf.set_options(opt)
 
 def configure(conf):
     conf.load('compiler_c')
+    conf.load('lv2')
     autowaf.configure(conf)
     autowaf.set_c99_mode(conf)
     autowaf.display_header('Sampler Configuration')

=== plugins/eg-scope.lv2/wscript ===
--- 
+++ 
@@ -12,10 +12,12 @@
 
 def options(opt):
     opt.load('compiler_c')
+    opt.load('lv2')
     autowaf.set_options(opt)
 
 def configure(conf):
     conf.load('compiler_c')
+    conf.load('lv2')
     autowaf.configure(conf)
     autowaf.set_c99_mode(conf)
     autowaf.display_header('Scope Configuration')

=== lv2/lv2plug.in/ns/lv2core/wscript ===
#!/usr/bin/env python
import os

from waflib.extras import autowaf as autowaf
import waflib.Options as Options
import glob

# Version of this package (even if built as a child)
LV2CORE_VERSION = '12.0'

# Variables for 'waf dist'
APPNAME = 'lv2core'
VERSION = LV2CORE_VERSION

# Mandatory variables
top = '.'
out = 'build'

def options(opt):
    opt.load('compiler_c')
    autowaf.set_options(opt)
    opt.add_option('--bundle-only', action='store_true', default=False,
                   dest='bundle_only',
                   help="Only install bundle (not header or pkg-config file)")
    opt.add_option('--copy-headers', action='store_true', default=False,
                   dest='copy_headers',
                   help='Copy headers instead of linking to bundle')

def configure(conf):
    if not hasattr(os.path, 'relpath') and not Options.options.copy_headers:
        conf.fatal(
            'os.path.relpath missing, get Python 2.6 or use --copy-headers')

    conf.load('compiler_c')
    autowaf.configure(conf)

    autowaf.display_msg(conf, "LV2 bundle directory", conf.env['LV2DIR'])
    print('')

def build(bld):
    # Header "library"
    bld(export_includes = ['.'],
        name            = 'liblv2core',
        target          = 'lv2core')

    # Bundle (data)
    bld.install_files('${LV2DIR}/lv2core.lv2', bld.path.ant_glob('*.ttl'))

    if not Options.options.bundle_only:
        # Header
        bld.install_files('${INCLUDEDIR}', 'lv2.h')
        bld.install_files('${LV2DIR}/lv2core.lv2', 'lv2.h')

        # Pkgconfig file
        autowaf.build_pc(bld, 'LV2CORE', LV2CORE_VERSION, '', [])

        # URI-like header include
        include_dir = os.path.join(bld.env['INCLUDEDIR'], 'lv2/lv2plug.in/ns')
        bundle_dir  = os.path.join(bld.env['LV2DIR'], 'lv2core.lv2')
        if bld.env['COPY_HEADERS']:
            bld.install_files(os.path.join(include_dir, 'lv2core'),
                              bld.path.ant_glob('*.h'))
        else:
            bld.symlink_as(os.path.join(include_dir, 'lv2core'),
                           os.path.relpath(bundle_dir, include_dir))

def news(ctx):
    path = ctx.path.abspath()
    autowaf.write_news(APPNAME,
                       glob.glob(os.path.join(path, '*.ttl')),
                       os.path.join(path, 'NEWS'))

def pre_dist(ctx):
    # Write NEWS file in source directory
    news(ctx)

def post_dist(ctx):
    # Delete generated NEWS file
    try:
        os.remove(os.path.join(ctx.path.abspath(), 'NEWS'))
    except:
        pass

=== debian/changelog ===
lv2 (1.14.0~dfsg1-2) unstable; urgency=medium

  * Bump Standards.
  * Set dh/compat 11.
  * Update VCS to salsa.
  * New maintainer address <debian-multimedia@lists.d.o>
  * Use secure uri in copyright file.
  * Fix pkg-config path for cross compilation. (Closes: #888762)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Mon, 29 Jan 2018 23:02:59 +0100

lv2 (1.14.0~dfsg1-1) unstable; urgency=medium

  * New upstream version 1.14.0~dfsg1
  * Fix hardening.
  * Fix VCS fields.
  * Bump Standards.
  * Add .gitignore file.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 22 Sep 2016 13:20:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: lv2
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  libgtk2.0-dev,
  libsndfile1-dev,
  perl,
  pkg-config,
  python
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/lv2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/lv2.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/multimedia-team/lv2
+Vcs-Browser: https://salsa.debian.org/multimedia-team/lv2
 Homepage: http://lv2plug.in/
 
 Package: lv2-dev

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,13 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 
+include /usr/share/dpkg/architecture.mk
+
 upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg\d+)?.*$$/\1/p')
-dfsg_version = $(upstream_version)~dfsg0
+dfsg_version = $(upstream_version)~dfsg1
 pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 WAF = ./waf
 
@@ -33,6 +37,9 @@
 	for plugin in `cat debian/lv2-examples.install`; do \
 		rm -rf debian/lv2-dev/$$plugin ; \
 	done
+	# move .pc files to a multiarch directory
+	mkdir debian/lv2-dev/usr/lib/$(DEB_HOST_MULTIARCH)
+	mv debian/lv2-dev/usr/lib/pkgconfig debian/lv2-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
@@ -47,6 +54,7 @@
 	sed -i '/^#==>$$/,$$d' $(pkg)-$(dfsg_version)/waf
 	rmdir $(pkg)-$(dfsg_version)/.waf-*
 	find $(pkg)-$(dfsg_version)/ -name '*.pyc' -delete
+	rm $(pkg)-$(dfsg_version)/plugins/*/waf
 	tar cf $(pkg)_$(dfsg_version).orig.tar $(pkg)-$(dfsg_version)
 	bzip2 -9f $(pkg)_$(dfsg_version).orig.tar
 	rm -rf $(pkg)-$(dfsg_version)

## lv2 1.16.0

=== debian/changelog ===
lv2 (1.16.0-1) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream release
  * debian/control:
    - Set RRR: no
    - Remove obsolete Breaks+Replaces
    - Bump debhelper compat to 12
    - Bump Standards-Version
  * debian/: Run waf with Python 3

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 16 Oct 2019 00:35:01 +0200

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
  Alessio Treglia <alessio@debian.org>,
  Jaromír Mikeš <mira.mikes@seznam.cz>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  libgtk2.0-dev,
  libsndfile1-dev,
- perl,
  pkg-config,
- python
-Standards-Version: 4.1.3
-Vcs-Git: https://salsa.debian.org/multimedia-team/lv2
+ python3
+Standards-Version: 4.4.1
+Vcs-Git: https://salsa.debian.org/multimedia-team/lv2.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/lv2
 Homepage: http://lv2plug.in/
+Rules-Requires-Root: no
 
 Package: lv2-dev
 Section: libdevel
@@ -23,12 +23,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Breaks:
- lv2-extensions-good (<= 0~20111202+dfsg0-2~),
- lv2core (<= 6.0+dfsg0-2~)
-Replaces:
- lv2-extensions-good (<= 0~20111202+dfsg0-2~),
- lv2core (<= 6.0+dfsg0-2~)
 Description: LV2 audio plugin specification
  LV2 is a simple but extensible successor of LADSPA plugins,
  intended to address the limitations of LADSPA which many
@@ -46,8 +40,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Breaks: lv2-dev (<= 1.8.0~dfsg0-1+)
-Replaces: lv2-dev (<= 1.8.0~dfsg0-1+)
 Provides:
  lv2-plugin
 Description: LV2 audio plugin specification (example plugins)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

WAF = python3 ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure --prefix=/usr \
		--mandir=/usr/share/man \
		--strict

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) clean || true
	find -name "*.pyc" -delete
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/tmp

override_dh_install:
	dh_install
	for plugin in `cat debian/lv2-examples.install`; do \
		rm -rf debian/lv2-dev/$$plugin ; \
	done
	# move .pc files to a multiarch directory
	mkdir debian/lv2-dev/usr/lib/$(DEB_HOST_MULTIARCH)
	mv debian/lv2-dev/usr/lib/pkgconfig debian/lv2-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3
http://lv2plug.in/spec/lv2-([\d.]*)\.tar\.bz2
